[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ClientRect

The visible client area of the control.

## Declaration

Source position: controls.pp line 1384

`public property TControl.ClientRect: TRect read GetClientRect;`

## Description

The origin is always (0,0). Bottom and Right reflect the Width and Height of the control.

## See also

#rtl.Classes.TRect
TControl.GetLogicalClientRect |  | Logical client area, can be bigger than the visible client area.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.